Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 51)
@@ -6017,7 +6284,1322 @@
             }
         }
         #endregion
+        // ---------- 台帳データへ追加する↑↑
 
+        // ---------- 結合処理↓↓
+        #region 結合データを台帳データへ追加する
+        /// <summary>
+        /// 結合データを台帳データへ追加する
+        /// </summary>
+        /// <returns></returns>
+        private bool JoiningLedgerData()
+        {
+            try
+            {
+                // 初期設定
+                InitSettingLoad();
+
+                //コントロールオブジェクト取得
+                SetDisplayObject();
+
+                // 表示クリア
+                ClearDisplay();
+
+                if (!GetBaseInfoData()) return false;
+
+                // ヘッダー表示
+                if (!DispHeader()) return false;
+
+                // グリッド行削除
+                dgvAllDisplay.Rows.Clear();
+
+                // データ表示を行う
+                if (!InitDispData()) return false;
+
+                // 経費を再計算
+                if (!SetJoinData_Expeness()) return false;
+
+                // 外部編集用コネクション開始
+                JoinDBOpen();
+
+                // ----- 繰り返し↓↓
+                for (int i = 0; i < m_JoiningCodeList.Count; i++)
+                {
+                    // データ元を検索
+                    int DataSource = GetSourceDataPoint(m_JoiningCodeList[i]);
+                    if (DataSource == (int)DataCreateFlg.DataNone) continue;
+
+                    // 施工費を取り込む
+                    if (!SetJoinConstruction(m_JoiningCodeList[i], DataSource))
+                    {
+                        // 外部編集用コネクション更新前復帰
+                        JoinDBRollBack();
+                        return false;
+                    }
+
+                    // 購入品ブロックを取り込む
+                    if (!SetJoinData_OtherExpeness(m_JoiningCodeList[i], DataSource))
+                    {
+                        // 外部編集用コネクション更新前復帰
+                        JoinDBRollBack();
+                        return false;
+                    }
+
+                    // 人件費ブロックを取り込む
+                    if (!SetJoinData_WorkingValue(m_JoiningCodeList[i], DataSource))
+                    {
+                        // 外部編集用コネクション更新前復帰
+                        JoinDBRollBack();
+                        return false;
+                    }
+
+                    // 工事詳細台帳より請求金額・現在利益ブロックを取り込む
+                    if (!SetJoinData_BillingValue(m_JoiningCodeList[i], DataSource))
+                    {
+                        // 外部編集用コネクション更新前復帰
+                        JoinDBRollBack();
+                        return false;
+                    }
+                }
+                // ----- 繰り返し↑↑
+
+
+                // 純利益行計算
+                CalculateNetIncome();
+
+                // 合計金額
+                CreateAllTotal(false);
+
+                // 請求金額計算
+                CalculateBillingAmount();
+
+                // 現在利益作成
+                CalculateCurrentProfit();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                // 外部編集用コネクション終了
+                JoinDBClose();
+
+            }
+        }
+        #endregion
+
+        #region 台帳データの作成元を探す
+        /// <summary>
+        /// 台帳データの作成元を探す
+        /// </summary>
+        /// <param name="ConstrCode"></param>
+        /// <returns></returns>
+        private int GetSourceDataPoint(int ConstrCode)
+        {
+            IOProcessApproval AppDB = new IOProcessApproval();
+            try
+            {
+                int iRet = (int)DataCreateFlg.DataNone;
+
+                // 工事詳細台帳承認確認
+                string strApp = "SELECT A.CONSTRUCTIONCODE, A.APPROVALSTATUS, B.CONSTRUCTIONCODE";
+                strApp += " FROM PROCESSAPPROVAL A LEFT JOIN CONSTRUCTIONLEDGER B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strApp += AppDB.CreatePrimarykeyString(ConstrCode,
+                                                        (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval,
+                                                        CommonDefine.s_Default_OrderNo,
+                                                        1,
+                                                        "A.");
+                ArrayList AppCount = new ArrayList();
+                if (AppDB.ExecuteReader(strApp, ref AppCount))
+                {
+                    object[] objRec = (object[])AppCount[0];
+                    // 承認済み？
+                    if (CommonMotions.cnvInt(objRec[1]) == (int)CommonDefine.ApprovalStatus.Approval)
+                    {
+                        // 工事詳細台帳が無い場合
+                        if (CommonMotions.cnvInt(objRec[2]) == 0)
+                        {
+                            iRet = (int)DataCreateFlg.DataBudget;
+                        }
+                        else
+                        {
+                            iRet = (int)DataCreateFlg.DataLedger;
+                        }
+                    }
+                }
+                else
+                {
+                    iRet = (int)DataCreateFlg.DataNone;
+                }
+
+                return iRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return (int)DataCreateFlg.DataNone;
+            }
+            finally
+            {
+                AppDB.close(); AppDB = null;
+            }
+        }
+        #endregion
+
+        #region データ結合：経費再計算
+        /// <summary>
+        /// データ結合：経費再計算
+        /// </summary>
+        private bool SetJoinData_Expeness()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                int GroupNo = (int)DataGroup.Expenses;
+                // 受注金額取得
+                double OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
+
+                // 行位置取得
+                int StartLine = m_CostsRowCount[(int)CostsRowLine.ExpensesRowLine];
+
+                // ----- 経費支払月の計算
+                // 現在年月日取得
+                string NowMonth = string.Format("{0}/{1}/1", DateTime.Now.Year, DateTime.Now.Month);
+                // 工事開始年月取得
+                string StartHeder = CommonMotions.cnvString(dgv.Columns[(int)GridColumn.Payment].HeaderCell.Value).Replace("年", "/").Replace("月", "/") + "1";
+
+                // 経過月数計算
+                DateTime StDate = CommonMotions.cnvDate(StartHeder);
+                DateTime EdDate = CommonMotions.cnvDate(NowMonth);
+                int Betwen = (int)GridColumn.Payment + MonthDiff(StDate, EdDate);
+
+                for (int i = StartLine; i < dgv.RowCount; i++)
+                {
+                    DataGridViewRow GridRow = dgv.Rows[i];
+
+                    // 経費グループ以外は処理しない
+                    if (CommonMotions.cnvInt(GridRow.Cells[(int)GridColumn.GroupCount].Value) != GroupNo) break;
+
+                    // 経費率取得
+                    double dExpenses = CommonMotions.cnvDouble(GridRow.Cells[(int)GridColumn.Percent].Value);
+
+                    // 実行金額現在値取得
+                    double NowValue = CommonMotions.cnvInt(GridRow.Cells[(int)GridColumn.ExecPrice].Value);
+                    // 金額計算
+                    double CalcValue = CommonMotions.cnvRound(OrdersPrice * (dExpenses / 100.0));
+
+                    // データセット 元の金額は変更しない
+                    //GridRow.Cells[(int)DispGridColumn.ExecPrice].Value = ((int)CalcValue).ToString("#,#");
+
+                    // 支払金額セット
+                    if (Betwen == (int)GridColumn.Payment)
+                    {   // 工期が１カ月しかない場合
+                        GridRow.Cells[Betwen].Value = ((int)CalcValue).ToString("#,#");
+                    }
+                    else
+                    {   // 工期が数カ月ある場合
+                        GridRow.Cells[Betwen].Value = ((int)(CalcValue - NowValue)).ToString("#,#");
+                    }
+
+                    // 合計欄位置取得
+                    int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                    GridRow.Cells[TotalPoint].Value = ((int)CalcValue).ToString("#,#");
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 外部編集用コネクション
+        IOConstructionBaseInfoDetail OuterBaseDDB = null;
+        IOProcessApproval OuterAppDB = null;
+        IOConstructionLedgerDetail OuterDetailDB = null;
+        IOConstructionLedgerExcute OuterExcuteDB = null;
+        IOConstructionBudgetDetail OuterBudgetDDB = null;
+        #endregion
+
+        #region 外部編集用コネクション開始
+        /// <summary>
+        /// 外部編集用コネクション開始
+        /// </summary>
+        private void JoinDBOpen()
+        {
+            try
+            {
+                OuterBaseDDB = new IOConstructionBaseInfoDetail();
+                OuterAppDB = new IOProcessApproval();
+                OuterDetailDB = new IOConstructionLedgerDetail();
+                OuterExcuteDB = new IOConstructionLedgerExcute();
+                OuterBudgetDDB = new IOConstructionBudgetDetail();
+
+                OuterBaseDDB.connect(); OuterBaseDDB.beginTran();
+                OuterAppDB.connect(); OuterAppDB.beginTran();
+                OuterDetailDB.connect(); OuterDetailDB.beginTran();
+                OuterExcuteDB.connect(); OuterExcuteDB.beginTran();
+                OuterBudgetDDB.connect(); OuterBudgetDDB.beginTran();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 外部編集用コネクション更新前復帰
+        /// <summary>
+        /// 外部編集用コネクション更新前復帰
+        /// </summary>
+        private void JoinDBRollBack()
+        {
+            try
+            {
+                OuterBaseDDB.rollback();
+                OuterAppDB.rollback();
+                OuterDetailDB.rollback();
+                OuterExcuteDB.rollback();
+                OuterBudgetDDB.rollback();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 外部編集用コネクション終了
+        /// <summary>
+        /// 外部編集用コネクション終了
+        /// </summary>
+        private void JoinDBClose()
+        {
+            try
+            {
+                OuterBaseDDB.commit();
+                OuterAppDB.commit();
+                OuterDetailDB.commit();
+                OuterExcuteDB.commit();
+                OuterBudgetDDB.commit();
+
+                OuterBaseDDB.connect(); OuterBaseDDB.beginTran();
+                OuterAppDB.connect(); OuterAppDB.beginTran();
+                OuterDetailDB.connect(); OuterDetailDB.beginTran();
+                OuterExcuteDB.connect(); OuterExcuteDB.beginTran();
+                OuterBudgetDDB.connect(); OuterBudgetDDB.beginTran();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region データ結合：施工費追加
+        /// <summary>
+        /// データ結合：施工費追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinConstruction(int ConstrCode, int DataSource)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                // 工事名称取得
+                string strName = "SELECT DETAILSTRING FROM CONSTRUCTIONBASEINFODETAIL";
+                strName += OuterBaseDDB.CreatePrimarykeyString(ConstrCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                ArrayList arList = new ArrayList();
+                OuterBaseDDB.ExecuteReader(strName, ref arList);
+                object[] NameObj = (object[])arList[0];
+                string ConstrName = string.Empty;
+                if (arList.Count != 0) ConstrName = CommonMotions.cnvString(NameObj[0]);
+
+                int GroupNo = (int)DataGroup.ConstructionCosts;
+
+                // 行位置取得
+                int StartLine = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
+
+                // データ挿入位置検索
+                int TargetLine = GetGridInsertPosion();
+
+                // データ増減番号取得
+                int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Normal;
+
+                // 次の行から追加
+                TargetLine++;
+                // タイトル追加
+                DataGridViewAction.CreateNewLine(dgv, ref TargetLine);
+                DataGridViewRow TitleRow = dgv.Rows[TargetLine];
+                TitleRow.Cells[(int)GridColumn.FixFlg].Value = "*";
+                TitleRow.Cells[(int)GridColumn.GroupCount].Value = GroupNo;
+                TitleRow.Cells[(int)GridColumn.ItemName].Value = ConstrName;
+                TitleRow.Cells[(int)GridColumn.IndependentFlg].Value = "1";
+                TitleRow.Cells[(int)GridColumn.FluctuationFlg].Value = FluctuationNo;
+                TitleRow.Cells[(int)GridColumn.SourceCode].Value = ConstrCode;
+                TitleRow.Cells[(int)GridColumn.JoinTitleFlg].Value = 1;
+                TitleRow.Cells[(int)GridColumn.TitleFlg].Value = "0";
+                TitleRow.Cells[(int)GridColumn.TotalFlg].Value = "0";
+                TitleRow.Cells[(int)GridColumn.BlankFlg].Value = "0";
+
+                switch (DataSource)
+                {
+                    case (int)DataCreateFlg.DataLedger:
+                        // 工事詳細台帳よりデータ作成
+                        if (!SetJoinLedger(ConstrCode, ref TargetLine)) return false;
+                        break;
+
+                    case (int)DataCreateFlg.DataBudget:
+                        // 工事予算書よりデータ作成
+                        if (!SetJoinBudget(ConstrCode, ref TargetLine)) return false;
+                        break;
+                }
+                
+                // 行のエリアを更新する
+                SetCostsRowCount();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ結合：施工費データ追加位置取得
+        /// <summary>
+        /// データ結合：施工費データ追加位置取得
+        /// </summary>
+        /// <returns></returns>
+        private int GetGridInsertPosion()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                // 行位置取得
+                int StartLine = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
+                int GroupNo = (int)DataGroup.ConstructionCosts;
+
+                // データ挿入位置検索
+                int TargetLine = -1;
+                for (int i = StartLine; i < dgv.RowCount; i++)
+                {
+                    DataGridViewRow GridRow = dgv.Rows[i];
+                    if (CommonMotions.cnvInt(GridRow.Cells[(int)GridColumn.GroupCount].Value) != GroupNo) break;
+
+                    // 金額が変わった可能性があるので比率計算
+                    double execprice = CommonMotions.cnvDouble(GridRow.Cells[(int)GridColumn.ExecPrice].Value);
+                    GridRow.Cells[(int)GridColumn.Percent].Value = CalculattionPercent(execprice).ToString("0.00");
+
+                    // 同じ場合は行数を退避
+                    TargetLine = i;
+                }
+
+                return TargetLine;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return -1;
+            }
+        }
+        #endregion
+
+        #region データ結合：工事予算書より施工費追加
+        /// <summary>
+        /// データ結合：工事予算書より施工費追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinBudget(int ConstrCode, ref int TargetLine)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                // 工事予算書明細データを読み込む
+                List<ConstructionBudgetDetail> DetailList = new List<ConstructionBudgetDetail>();
+                string strSQL = OuterBudgetDDB.CreatePrimarykeyString(ConstrCode);
+                strSQL += string.Format(" AND (GROUPCOUNT = {0}", (int)FrmConstructionBudget.DataGroup.CommonTempCosts);       // 共通仮設
+                strSQL += string.Format(" OR GROUPCOUNT = {0}", (int)FrmConstructionBudget.DataGroup.OutSourceCosts);          // 外注費
+                strSQL += string.Format(" OR GROUPCOUNT = {0})", (int)FrmConstructionBudget.DataGroup.MyConstruction);         // 自社施工
+                strSQL += " ORDER BY GroupCount ASC, LineCount ASC";
+                if (!OuterBudgetDDB.SelectAction(strSQL, ref DetailList)) return false;
+                if (DetailList.Count == 0) return true;
+
+                int GroupNo = (int)DataGroup.ConstructionCosts;
+                int icnt = 0;
+
+                // 行位置取得
+                int StartLine = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
+
+                // データ増減番号取得
+                int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Normal;
+
+                // 次の行から追加
+                TargetLine++;
+                // データ追加
+                foreach (ConstructionBudgetDetail DetailRec in DetailList)
+                {
+                    // 行追加
+                    DataGridViewAction.CreateNewLine(dgv, ref TargetLine);
+
+                    DataGridViewRow GridRow = dgv.Rows[TargetLine];
+
+                    // データセット
+                    GridRow.Cells[(int)GridColumn.No].Value = string.Format("{0}-{1}", GroupNo, ++icnt);
+                    GridRow.Cells[(int)GridColumn.FixFlg].Value = "*";
+                    GridRow.Cells[(int)GridColumn.GroupCount].Value = GroupNo;
+                    GridRow.Cells[(int)GridColumn.ItemName].Value = DetailRec.FirstString;
+                    GridRow.Cells[(int)GridColumn.TextName].Value = DetailRec.SecondString;
+                    GridRow.Cells[(int)GridColumn.CompanyCode].Value = DetailRec.CompanyType;
+                    GridRow.Cells[(int)GridColumn.CompanyCode].Value = DetailRec.CompanyCode;
+                    GridRow.Cells[(int)GridColumn.CompanyName].Value = DetailRec.CompanyName;
+                    GridRow.Cells[(int)GridColumn.EstimatePrice].Value = DetailRec.EstimatePrice.ToString("#,0");
+                    GridRow.Cells[(int)GridColumn.ExecPrice].Value = DetailRec.ExecutionAmount.ToString("#,0");
+                    GridRow.Cells[(int)GridColumn.Percent].Value = CalculattionPercent(DetailRec.ExecutionAmount).ToString("0.00");
+                    GridRow.Cells[(int)GridColumn.SourceCode].Value = ConstrCode;
+                    GridRow.Cells[(int)GridColumn.IndependentFlg].Value = "1";
+                    GridRow.Cells[(int)GridColumn.FluctuationFlg].Value = FluctuationNo;
+                    GridRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value = (int)CommonDefine.PurchaseOrderFlg.NoCreate;
+
+                    // 合計欄位置取得
+                    int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                    GridRow.Cells[TotalPoint].Value = "0";
+                    // 実績欄位置取得
+                    int ResultPoint = dgv.ColumnCount + (int)ColPayTotal.Results;
+                    GridRow.Cells[ResultPoint].Value = DetailRec.ExecutionAmount.ToString("#,0");
+
+                    GridRow.Cells[(int)GridColumn.TitleFlg].Value = "0";
+                    GridRow.Cells[(int)GridColumn.TotalFlg].Value = "0";
+                    GridRow.Cells[(int)GridColumn.BlankFlg].Value = "0";
+
+                    TargetLine++;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ結合：工事詳細台帳より施工費追加
+        /// <summary>
+        /// データ結合：工事詳細台帳より施工費追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinLedger(int ConstrCode, ref int TargetLine)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                // 工事詳細台帳明細データを読み込む
+                List<ConstructionLedgerDetail> DetailList = new List<ConstructionLedgerDetail>();
+                string strSQL = OuterDetailDB.CreatePrimarykeyString(ConstrCode);
+                strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)DataGroup.ConstructionCosts);       // 施工費
+                strSQL += " ORDER BY GroupCount ASC, LineCount ASC";
+                if (!OuterDetailDB.SelectAction(strSQL, ref DetailList)) return false;
+                if (DetailList.Count == 0) return true;
+
+                // 行位置取得
+                int StartLine = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
+
+                int GridColMax = dgv.ColumnCount;
+
+                // 次の行から追加
+                TargetLine++;
+                // データ追加
+                foreach (ConstructionLedgerDetail DetailRec in DetailList)
+                {
+                    // 行追加
+                    DataGridViewAction.CreateNewLine(dgv, ref TargetLine);
+
+                    DataGridViewRow GridRow = dgv.Rows[TargetLine];
+
+                    // 固定フラグをセットする
+                    if (DetailRec.FixDataFlg == 1) GridRow.Cells[(int)GridColumn.FixFlg].Value = "*";
+
+                    // 独立データフラグ
+                    GridRow.Cells[(int)GridColumn.IndependentFlg].Value = 1;
+
+
+                    GridRow.Cells[(int)GridColumn.GroupCount].Value = DetailRec.GroupCount;
+                    GridRow.Cells[(int)GridColumn.ComponentCode].Value = DetailRec.ComponentCode;
+                    GridRow.Cells[(int)GridColumn.ItemName].Value = DetailRec.FirstString;
+                    GridRow.Cells[(int)GridColumn.TextName].Value = DetailRec.SecondString;
+                    GridRow.Cells[(int)GridColumn.CompanyType].Value = DetailRec.CompanyType;
+                    GridRow.Cells[(int)GridColumn.CompanyCode].Value = DetailRec.CompanyCode;
+                    GridRow.Cells[(int)GridColumn.CompanyName].Value = DetailRec.CompanyName;
+
+                    GridRow.Cells[(int)GridColumn.EstimatePrice].Value = DetailRec.EstimatePrice.ToString("#,#");
+                    GridRow.Cells[(int)GridColumn.ExecPrice].Value = DetailRec.ExecutionAmount.ToString("#,0");
+                    GridRow.Cells[(int)GridColumn.Percent].Value = DetailRec.AmountConfigRate.ToString("0.00");
+
+                    //GridRow.Cells[(int)GridColumn.FluctuationFlg].Value = DetailRec.FluctuationFlg;
+                    // 給与振分区分
+                    GridRow.Cells[(int)GridColumn.SalaryFlg].Value = DetailRec.SalaryFlg;
+                    // 給与振分日数
+                    GridRow.Cells[(int)GridColumn.SalaryDays].Value = DetailRec.SalaryDays;
+                    // 担当中フラグ
+                    GridRow.Cells[(int)GridColumn.OperatingFlg].Value = DetailRec.OperatingFlg;
+                    // 元工事番号
+                    GridRow.Cells[(int)GridColumn.SourceCode].Value = DetailRec.SourceCode;
+                    // 工事名称タイトルフラグ
+                    GridRow.Cells[(int)GridColumn.JoinTitleFlg].Value = DetailRec.JoinTitleFlg;
+                    // 注文書発行フラグ
+                    GridRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value = DetailRec.PurchaseOrderFlg;
+
+                    GridRow.Cells[(int)GridColumn.TitleFlg].Value = "0";
+                    GridRow.Cells[(int)GridColumn.TotalFlg].Value = "0";
+                    GridRow.Cells[(int)GridColumn.BlankFlg].Value = "0";
+                    // ----- 支払いデータをセットする
+                    double TotalValue = 0;
+                    strSQL = OuterExcuteDB.CreatePrimarykeyString(ConstrCode, DetailRec.GroupCount, DetailRec.LineCount);
+                    strSQL += " ORDER BY ColumnCount";
+                    List<ConstructionLedgerExcute> ExcuteList = new List<ConstructionLedgerExcute>();
+                    OuterExcuteDB.SelectAction(strSQL, ref ExcuteList);
+                    foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
+                    {
+                        //グリッドの対象列を取得する（データのカラム数から年月に変更する）
+                        string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                        for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
+                        {
+                            // グリッドの対象列を探す
+                            if (!CurMounth.Equals(dgv.Columns[ix].HeaderText)) continue;
+
+                            // あればセットする
+                            GridRow.Cells[ix].Value = ExcuteRec.PaymentAmount.ToString("#,0");
+                            TotalValue += ExcuteRec.PaymentAmount;
+                            break;
+                        }
+                    }
+
+                    // 合計金額表示
+                    GridRow.Cells[GridColMax + (int)ColPayTotal.Totals].Value = TotalValue.ToString("#,0");
+
+                    // 支払可能額表示
+                    int ExecValue = 0;
+                    // 経費以外の時のみ支払可能額を計算する
+                    ExecValue = (int)(DetailRec.ExecutionAmount - TotalValue);
+
+                    GridRow.Cells[GridColMax + (int)ColPayTotal.Results].Value = ExecValue.ToString("#,0");
+
+                    // 支払補填額
+                    GridRow.Cells[GridColMax + (int)ColPayTotal.PaymentBurdens].Value = DetailRec.PaymentBurden.ToString("#,0");
+
+                    TargetLine++;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ結合：購入品ブロック追加
+        /// <summary>
+        /// データ結合：購入品ブロック追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinData_OtherExpeness(int ConstrCode, int DataSource)
+        {
+            try
+            {
+                // 交通費表示
+                if (!SetJoinData_ConstructionBudget((int)DataGroup.TransportationCosts, ConstrCode, DataSource)) return false;
+                // 購入品
+                if (!SetJoinData_ConstructionBudget((int)DataGroup.PurchaseCosts, ConstrCode, DataSource)) return false;
+                // 車両リース代
+                if (!SetJoinData_ConstructionBudget((int)DataGroup.VehicleLeaseFee, ConstrCode, DataSource)) return false;
+                // 駐車場・資材置き場
+                if (!SetJoinData_ConstructionBudget((int)DataGroup.ParkingCosts, ConstrCode, DataSource)) return false;
+                // 宿泊費
+                if (!SetJoinData_ConstructionBudget((int)DataGroup.RoomChargeCosts, ConstrCode, DataSource)) return false;
+                // 処分費等
+                if (!SetJoinData_ConstructionBudget((int)DataGroup.DisposeCosts, ConstrCode, DataSource)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ結合：購入費等追加
+        /// <summary>
+        /// データ結合：購入費等追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinData_ConstructionBudget(int GroupNo, int ConstrCode, int DataSource)
+        {
+            try
+            {
+                int SearchGroup = GroupNo;
+                // 工事予算書はグループ番号が違う
+                if (DataSource == (int)DataCreateFlg.DataBudget)
+                {
+                    switch (GroupNo)
+                    {
+                        // 車両リース代
+                        case (int)DataGroup.VehicleLeaseFee:
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.VehicleLeaseFee;
+                            break;
+                        // 購入品
+                        case (int)DataGroup.PurchaseCosts:
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.PurchaseCosts;
+                            break;
+                        // 交通費（通行料・電車代）
+                        case (int)DataGroup.TransportationCosts:
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.TransportationCosts;
+                            break;
+                        // 駐車場・資材置き場
+                        case (int)DataGroup.ParkingCosts:
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.ParkingCosts;
+                            break;
+                        // 宿泊費
+                        case (int)DataGroup.RoomChargeCosts:
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.RoomChargeCosts;
+                            break;
+                        // 処分費等
+                        case (int)DataGroup.DisposeCosts:
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.DisposeCosts;
+                            break;
+                        default:
+                            // その他の項目
+                            break;
+                    }
+                }
+                // 工事予算書明細データを読み込む
+                string strSQL = OuterDetailDB.CreatePrimarykeyString(ConstrCode);
+                strSQL += string.Format(" AND GROUPCOUNT = {0}", SearchGroup);
+                strSQL += " ORDER BY LineCount ASC";
+
+                ConstructionLedgerDetail DetailRec = new ConstructionLedgerDetail();
+                // 作成元によってデータを読む
+                if (DataSource == (int)DataCreateFlg.DataLedger)
+                {
+                    if (!OuterDetailDB.SelectAction(strSQL, ref DetailRec)) return false;
+                }
+                else if (DataSource == (int)DataCreateFlg.DataBudget)
+                {
+                    ConstructionBudgetDetail workDetailRec = new ConstructionBudgetDetail();
+                    if (!OuterBudgetDDB.SelectAction(strSQL, ref workDetailRec)) return false;
+                    DetailRec.EstimatePrice = workDetailRec.EstimatePrice;
+                    DetailRec.ExecutionAmount = workDetailRec.ExecutionAmount;
+                }
+
+                int TargetLine = -1;
+                // データセット
+                switch (GroupNo)
+                {
+                    // 車両リース代
+                    case (int)DataGroup.VehicleLeaseFee:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.VehicleLeaseFeeRowLine];
+                        break;
+                    // 購入品
+                    case (int)DataGroup.PurchaseCosts:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.PurchaseCostsRowLine];
+                        break;
+                    // 交通費（通行料・電車代）
+                    case (int)DataGroup.TransportationCosts:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.TransportationCostsRowLine];
+                        break;
+                    // 駐車場・資材置き場
+                    case (int)DataGroup.ParkingCosts:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.ParkingCostsRowLine];
+                        break;
+                    // 宿泊費
+                    case (int)DataGroup.RoomChargeCosts:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.RoomChargeCostsRowLine];
+                        break;
+                    // 処分費等
+                    case (int)DataGroup.DisposeCosts:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.DisposeCostsRowLine];
+                        break;
+
+                    default:
+                        // その他の項目
+                        break;
+                }
+
+                DataGridView dgv = dgvAllDisplay;
+                DataGridViewRow RowData = dgv.Rows[TargetLine];
+
+                RowData.Cells[(int)GridColumn.SourceCode].Value = m_ConstructionCode;
+
+                int[] NowValue = new int[3];
+                NowValue[0] = CommonMotions.cnvInt(RowData.Cells[(int)GridColumn.EstimatePrice].Value) + (int)DetailRec.EstimatePrice;
+                NowValue[1] = CommonMotions.cnvInt(RowData.Cells[(int)GridColumn.ExecPrice].Value) + (int)DetailRec.ExecutionAmount;
+
+                RowData.Cells[(int)GridColumn.EstimatePrice].Value = NowValue[0].ToString("#,0");
+                RowData.Cells[(int)GridColumn.ExecPrice].Value = NowValue[1].ToString("#,0");
+                RowData.Cells[(int)GridColumn.Percent].Value = CalculattionPercent((double)NowValue[1]).ToString("0.00");
+
+                double TotalValue = 0;
+                // 工事詳細台帳がある場合のみ実績セット
+                if (DataSource == (int)DataCreateFlg.DataLedger)
+                {
+                    // ----- 支払いデータをセットする
+                    strSQL = OuterExcuteDB.CreatePrimarykeyString(ConstrCode, DetailRec.GroupCount, DetailRec.LineCount);
+                    strSQL += " ORDER BY ColumnCount";
+                    List<ConstructionLedgerExcute> ExcuteList = new List<ConstructionLedgerExcute>();
+                    OuterExcuteDB.SelectAction(strSQL, ref ExcuteList);
+                    foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
+                    {
+                        //グリッドの対象列を取得する（データのカラム数から年月に変更する）
+                        string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                        for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
+                        {
+                            // グリッドの対象列を探す
+                            if (!CurMounth.Equals(dgv.Columns[ix].HeaderText)) continue;
+
+                            // あればセットする
+                            int SourceValue = CommonMotions.cnvInt(RowData.Cells[ix].Value);
+                            RowData.Cells[ix].Value = (SourceValue + ExcuteRec.PaymentAmount).ToString("#,0");
+                            TotalValue += ExcuteRec.PaymentAmount;
+                            break;
+                        }
+                    }
+                }
+
+                int GridColMax = dgv.ColumnCount;
+                // 合計金額表示
+                RowData.Cells[GridColMax + (int)ColPayTotal.Totals].Value = TotalValue.ToString("#,0");
+
+                // 支払可能額表示
+                int ExecValue = 0;
+                // 経費以外の時のみ支払可能額を計算する
+                ExecValue = (int)(DetailRec.ExecutionAmount - TotalValue);
+
+                RowData.Cells[GridColMax + (int)ColPayTotal.Results].Value = ExecValue.ToString("#,0");
+
+                // 支払補填額
+                RowData.Cells[GridColMax + (int)ColPayTotal.PaymentBurdens].Value = DetailRec.PaymentBurden.ToString("#,0");
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ結合：人件費ブロック追加
+        /// <summary>
+        /// データ結合：人件費ブロック追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinData_WorkingValue(int ConstrCode, int DataSource)
+        {
+            try
+            {
+                int BlockNo = (int)DataGroup.TransportationCosts + 1;
+                int icnt = 1;
+                // グループ名表示
+                CreateTitleRow(BlockNo, s_PersonnelExpensesGroup);
+
+                // 指導員給与
+                if (!SetJoinData_AddWorkingRow(BlockNo, (int)DataGroup.Instructor, icnt++, ConstrCode, DataSource)) return false;
+                // 副担当者給与
+                if (!SetJoinData_AddWorkingRow(BlockNo, (int)DataGroup.Assistant, icnt++, ConstrCode, DataSource)) return false;
+                // 担当者給与経費
+                if (!SetJoinData_AddWorkingRow(BlockNo, (int)DataGroup.Payroll, icnt++, ConstrCode, DataSource)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ結合：人件費を追加
+        /// <summary>
+        /// データ結合：人件費を追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinData_AddWorkingRow(int BlockNo, int GroupNo, int DataNo, int ConstrCode, int DataSource)
+        {
+            try
+            {
+                int SearchGroup = GroupNo;
+                // 工事予算書はグループ番号が違う
+                if (DataSource == (int)DataCreateFlg.DataBudget)
+                {
+                    switch (GroupNo)
+                    {
+                        case (int)DataGroup.Instructor:
+                            // 指導員給与
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.InstructorCosts;
+                            break;
+                        case (int)DataGroup.Assistant:
+                            // 副担当者給与
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.AssistantCosts;
+                            break;
+                        case (int)DataGroup.Payroll:
+                            // 担当者給与経費
+                            SearchGroup = (int)FrmConstructionBudget.DataGroup.PayrollExpenses;
+                            break;
+                        default:
+                            // その他の項目
+                            break;
+                    }
+                }
+
+                // 工事予算書明細データを読み込む
+                string strSQL = OuterDetailDB.CreatePrimarykeyString(ConstrCode);
+                strSQL += string.Format(" AND GROUPCOUNT = {0}", SearchGroup);
+                strSQL += " ORDER BY LineCount ASC";
+
+                ConstructionLedgerDetail DetailRec = new ConstructionLedgerDetail();
+                // 作成元によってデータを読む
+                if (DataSource == (int)DataCreateFlg.DataLedger)
+                {
+                    //　データが無ければ対象外
+                    if (!OuterDetailDB.SelectAction(strSQL, ref DetailRec)) return true;
+                }
+                else if (DataSource == (int)DataCreateFlg.DataBudget)
+                {
+                    ConstructionBudgetDetail workDetailRec = new ConstructionBudgetDetail();
+                    if (!OuterBudgetDDB.SelectAction(strSQL, ref workDetailRec)) return true;
+                    DetailRec.FirstString = workDetailRec.FirstString;
+                    DetailRec.SecondString = workDetailRec.SecondString;
+                    DetailRec.CompanyType = workDetailRec.CompanyType;
+                    DetailRec.CompanyCode = workDetailRec.CompanyCode;
+                    DetailRec.CompanyName = workDetailRec.CompanyName;
+                    DetailRec.EstimatePrice = workDetailRec.EstimatePrice;
+                    DetailRec.ExecutionAmount = workDetailRec.ExecutionAmount;
+                    DetailRec.AmountConfigRate = workDetailRec.AmountConfigRate;
+                }
+
+                ConstructionBudgetDetail BudgetDRec = new ConstructionBudgetDetail();
+                // 対象行数取得
+                int TargetLine = -1;
+                switch (GroupNo)
+                {
+                    // 指導員費用
+                    case (int)DataGroup.Instructor:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.InstructorRowLine];
+                        GroupNo = (int)DataGroup.Instructor;
+
+                        // 指導員行に名前を入れる
+                        BudgetDRec.CompanyCode = DetailRec.CompanyCode;
+                        SetFirstStringName(GroupNo, ref BudgetDRec);
+                        DetailRec.FirstString = BudgetDRec.FirstString;
+
+                        // 一般ユーザーは指導員の給与を見えないようにする
+                        if (!CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
+                        break;
+
+                    // 副担当者給与費用
+                    case (int)DataGroup.Assistant:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.AssistantRowLine];
+                        GroupNo = (int)DataGroup.Assistant;
+
+                        // 副担当行に名前を入れる
+                        BudgetDRec.CompanyCode = DetailRec.CompanyCode;
+                        SetFirstStringName(GroupNo, ref BudgetDRec);
+                        DetailRec.FirstString = BudgetDRec.FirstString;
+
+                        // 一般ユーザーは副担当者の給与を見えないようにする
+                        if (!CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
+                        break;
+
+                    // 担当者給与費用
+                    case (int)DataGroup.Payroll:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.PayrollRowLine];
+                        GroupNo = (int)DataGroup.Payroll;
+
+                        // 担当者行に名前を入れる
+                        BudgetDRec.CompanyCode = DetailRec.CompanyCode;
+                        SetFirstStringName(GroupNo, ref BudgetDRec);
+                        DetailRec.FirstString = BudgetDRec.FirstString;
+
+                        // 一般ユーザーは担当者の給与を見えないようにする
+                        if (!CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
+                        break;
+                    default:
+                        // その他の項目（ここには来ないが念のため）
+                        GroupNo = 0;
+                        break;
+                }
+
+                // 担当者が同じならば金額を変更する、担当者がいなければ行を増やす
+                bool bExist = false;
+                DataGridView dgv = dgvAllDisplay;
+                for (int i = TargetLine; i < dgv.RowCount; i++, TargetLine++)
+                {
+                    DataGridViewRow wrkRow = dgv.Rows[i];
+                    // 対象グループ以外は抜ける
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) != GroupNo) break;
+                    // 同じ担当者がいれば抜ける
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyCode].Value) == DetailRec.CompanyCode)
+                    {
+                        bExist = true;
+                        break;
+                    }
+                }
+
+                // データ行現番号取得
+                int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Fluctuates;
+
+                if (bExist)
+                {
+                    DataGridViewRow RowData = dgv.Rows[TargetLine];
+                    int EstimatePrice = CommonMotions.cnvInt(RowData.Cells[(int)GridColumn.EstimatePrice].Value) + (int)DetailRec.EstimatePrice;
+                    int ExecutionAmount = CommonMotions.cnvInt(RowData.Cells[(int)GridColumn.ExecPrice].Value) + (int)DetailRec.ExecutionAmount;
+
+                    RowData.Cells[(int)GridColumn.EstimatePrice].Value = EstimatePrice.ToString("#,0");
+                    RowData.Cells[(int)GridColumn.ExecPrice].Value = ExecutionAmount.ToString("#,0");
+                }
+                else
+                {
+                    object[] RowData = new object[dgv.Columns.Count];
+
+                    RowData[(int)GridColumn.No] = string.Format("{0}-{1}", BlockNo, DataNo);        // ここでの番号は見えないのでおかしくてもよい
+                    RowData[(int)GridColumn.FixFlg] = "*";
+                    RowData[(int)GridColumn.GroupCount] = GroupNo;
+                    RowData[(int)GridColumn.ItemName] = DetailRec.FirstString;
+                    RowData[(int)GridColumn.TextName] = DetailRec.SecondString;
+
+                    RowData[(int)GridColumn.CompanyType] = DetailRec.CompanyType;
+                    RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyCode;
+                    RowData[(int)GridColumn.CompanyName] = DetailRec.CompanyName;
+
+                    RowData[(int)GridColumn.EstimatePrice] = DetailRec.ExecutionAmount.ToString("#,0");
+                    RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
+                    RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
+                    
+                    RowData[(int)GridColumn.IndependentFlg] = "1";
+                    RowData[(int)GridColumn.FluctuationFlg] = FluctuationNo;
+                    RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
+
+                    // 合計欄位置取得
+                    int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                    RowData[TotalPoint] = "0";
+                    // 実績欄位置取得
+                    int ResultPoint = dgv.ColumnCount + (int)ColPayTotal.Results;
+                    RowData[ResultPoint] = DetailRec.ExecutionAmount.ToString("#,0");
+
+                    RowData[(int)GridColumn.TitleFlg] = "0";
+                    RowData[(int)GridColumn.TotalFlg] = "0";
+                    RowData[(int)GridColumn.BlankFlg] = "0";
+
+                    dgv.Rows.Insert(TargetLine, RowData);
+                }
+
+                // 行数保持のエリアを更新する
+                SetCostsRowCount();
+
+                double TotalValue = 0;
+                DataGridViewRow ExecRow = dgv.Rows[TargetLine];
+                // 工事詳細台帳がある場合のみ実績セット
+                if (DataSource == (int)DataCreateFlg.DataLedger)
+                {
+                    // ----- 支払いデータをセットする
+                    strSQL = OuterExcuteDB.CreatePrimarykeyString(ConstrCode, DetailRec.GroupCount, DetailRec.LineCount);
+                    strSQL += " ORDER BY ColumnCount";
+                    List<ConstructionLedgerExcute> ExcuteList = new List<ConstructionLedgerExcute>();
+                    OuterExcuteDB.SelectAction(strSQL, ref ExcuteList);
+                    foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
+                    {
+                        //グリッドの対象列を取得する（データのカラム数から年月に変更する）
+                        string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                        for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
+                        {
+                            // グリッドの対象列を探す
+                            if (!CurMounth.Equals(dgv.Columns[ix].HeaderText)) continue;
+
+                            // あればセットする
+                            int SourceValue = CommonMotions.cnvInt(ExecRow.Cells[ix].Value);
+                            ExecRow.Cells[ix].Value = (SourceValue + ExcuteRec.PaymentAmount).ToString("#,0");
+                            TotalValue += ExcuteRec.PaymentAmount;
+                            break;
+                        }
+                    }
+                }
+
+                int GridColMax = dgv.ColumnCount;
+                // 合計金額表示
+                ExecRow.Cells[GridColMax + (int)ColPayTotal.Totals].Value = TotalValue.ToString("#,0");
+
+                // 支払可能額表示
+                int ExecValue = 0;
+                // 経費以外の時のみ支払可能額を計算する
+                ExecValue = (int)(DetailRec.ExecutionAmount - TotalValue);
+
+                ExecRow.Cells[GridColMax + (int)ColPayTotal.Results].Value = ExecValue.ToString("#,0");
+
+                // 支払補填額
+                ExecRow.Cells[GridColMax + (int)ColPayTotal.PaymentBurdens].Value = DetailRec.PaymentBurden.ToString("#,0");
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ結合：請求ブロック追加
+        /// <summary>
+        /// データ結合：請求ブロック追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinData_BillingValue(int ConstrCode, int DataSource)
+        {
+            try
+            {
+                if (DataSource == (int)DataCreateFlg.DataBudget) return　true;
+
+                // 請求金額
+                if (!SetJoinData_AddBillingRow((int)DataGroup.BillingAmount, ConstrCode)) return false;
+                // 現在利益額
+                if (!SetJoinData_AddBillingRow((int)DataGroup.CurrentProfit, ConstrCode)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ結合：請求金額を追加
+        /// <summary>
+        /// データ結合：請求金額を追加
+        /// </summary>
+        /// <returns></returns>
+        private bool SetJoinData_AddBillingRow(int GroupNo, int ConstrCode)
+        {
+            try
+            {
+                // 工事予算書明細データを読み込む
+                string strSQL = OuterDetailDB.CreatePrimarykeyString(ConstrCode);
+                strSQL += string.Format(" AND GROUPCOUNT = {0}", GroupNo);
+                strSQL += " ORDER BY LineCount ASC";
+
+                ConstructionLedgerDetail DetailRec = new ConstructionLedgerDetail();
+                //　データが無ければ対象外
+                if (!OuterDetailDB.SelectAction(strSQL, ref DetailRec)) return true;
+
+                ConstructionBudgetDetail BudgetDRec = new ConstructionBudgetDetail();
+                // 対象行数取得
+                int TargetLine = -1;
+                switch (GroupNo)
+                {
+                    // 請求金額
+                    case (int)DataGroup.BillingAmount:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.BillingAmountRowLine];
+                        GroupNo = (int)DataGroup.BillingAmount;
+                        break;
+
+                    // 現在利益額
+                    case (int)DataGroup.CurrentProfit:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.CurrentProfitRowLine];
+                        GroupNo = (int)DataGroup.CurrentProfit;
+                        break;
+
+                    default:
+                        // その他の項目（ここには来ないが念のため）
+                        GroupNo = 0;
+                        break;
+                }
+
+                DataGridView dgv = dgvAllDisplay;
+
+                // 行数保持のエリアを更新する
+                SetCostsRowCount();
+
+                double TotalValue = 0;
+                DataGridViewRow ExecRow = dgv.Rows[TargetLine];
+                ExecRow.Cells[(int)GridColumn.SourceCode].Value = m_ConstructionCode;
+                
+                // 工事詳細台帳がある場合のみ実績セット
+
+                // ----- 支払いデータをセットする
+                strSQL = OuterExcuteDB.CreatePrimarykeyString(ConstrCode, DetailRec.GroupCount, DetailRec.LineCount);
+                strSQL += " ORDER BY ColumnCount";
+                List<ConstructionLedgerExcute> ExcuteList = new List<ConstructionLedgerExcute>();
+                OuterExcuteDB.SelectAction(strSQL, ref ExcuteList);
+                foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
+                {
+                    //グリッドの対象列を取得する（データのカラム数から年月に変更する）
+                    string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                    for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
+                    {
+                        // グリッドの対象列を探す
+                        if (!CurMounth.Equals(dgv.Columns[ix].HeaderText)) continue;
+
+                        // あればセットする
+                        int SourceValue = CommonMotions.cnvInt(ExecRow.Cells[ix].Value);
+                        ExecRow.Cells[ix].Value = (SourceValue + ExcuteRec.PaymentAmount).ToString("#,0");
+                        TotalValue += ExcuteRec.PaymentAmount;
+                        break;
+                    }
+                }
+
+                int GridColMax = dgv.ColumnCount;
+                // 合計金額表示
+                ExecRow.Cells[GridColMax + (int)ColPayTotal.Totals].Value = TotalValue.ToString("#,0");
+
+                // 支払可能額表示
+                int ExecValue = 0;
+                // 経費以外の時のみ支払可能額を計算する
+                ExecValue = (int)(DetailRec.ExecutionAmount - TotalValue);
+
+                ExecRow.Cells[GridColMax + (int)ColPayTotal.Results].Value = ExecValue.ToString("#,0");
+
+                // 支払補填額
+                ExecRow.Cells[GridColMax + (int)ColPayTotal.PaymentBurdens].Value = DetailRec.PaymentBurden.ToString("#,0");
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+        // ---------- 結合処理↑↑
+
+        // ---------- 終了時台帳データ削除↓↓
+        #region 結合後詳細台帳データ削除
+        /// <summary>
+        /// 結合後詳細台帳データ削除
+        /// </summary>
+        /// <returns></returns>
+        private bool RemoveJoinLedgerData()
+        {
+            IOConstructionLedger DB00 = new IOConstructionLedger();                 // 工事詳細台帳データ
+            IOConstructionLedgerDetail DB01 = new IOConstructionLedgerDetail();     // 工事詳細台帳明細データ
+            IOConstructionLedgerExcute DB02 = new IOConstructionLedgerExcute();     // 工事詳細台帳実行データ
+            try
+            {
+                // 処理終了後、対象リストを基にデータを削除する
+                string strCopy = string.Empty;
+                string strRemove = string.Empty;
+
+                strCopy = "INSERT INTO BK_CONSTRUCTIONLEDGER SELECT * FROM CONSTRUCTIONLEDGER WHERE CONSTRUCTIONCODE IN (";
+                strRemove = "DELETE FROM CONSTRUCTIONLEDGER WHERE CONSTRUCTIONCODE IN (";
+
+                if (m_RollBackJoinLedger)
+                {
+                    strCopy = "INSERT INTO CONSTRUCTIONLEDGER SELECT * FROM BK_CONSTRUCTIONLEDGER WHERE CONSTRUCTIONCODE IN (";
+                    strRemove = "DELETE FROM BK_CONSTRUCTIONLEDGER WHERE CONSTRUCTIONCODE IN (";
+                }
+
+                // 検索キー追加
+                for (int i = 0; i < m_JoiningCodeList.Count; i++)
+                {
+                    if (i != 0) strCopy += " ,";
+                    strCopy += string.Format("{0}", m_JoiningCodeList[i]);
+
+                    if (i != 0) strRemove += " ,";
+                    strRemove += string.Format("{0}", m_JoiningCodeList[i]);
+                }
+                strCopy += ")";
+                strRemove += ")";
+
+                DB00.connect(); DB00.beginTran();
+                DB01.connect(); DB01.beginTran();
+                DB02.connect(); DB02.beginTran();
+
+                if (!DB00.ExecuteNonQuery(strCopy, false))
+                {
+                    DB00.rollback(); DB01.rollback(); DB02.rollback();
+                    return false;
+                }
+
+                strCopy = strCopy.Replace("CONSTRUCTIONLEDGER", "CONSTRUCTIONLEDGERDETAIL");
+                if (!DB01.ExecuteNonQuery(strCopy, false))
+                {
+                    DB00.rollback(); DB01.rollback(); DB02.rollback();
+                    return false;
+                }
+
+                strCopy = strCopy.Replace("CONSTRUCTIONLEDGERDETAIL", "CONSTRUCTIONLEDGEREXCUTE");
+                if (!DB02.ExecuteNonQuery(strCopy, false))
+                {
+                    DB00.rollback(); DB01.rollback(); DB02.rollback();
+                    return false;
+                }
+
+
+                if (!DB00.ExecuteNonQuery(strRemove, false))
+                {
+                    DB00.rollback(); DB01.rollback(); DB02.rollback();
+                    return false;
+                }
+
+                strRemove = strRemove.Replace("CONSTRUCTIONLEDGER", "CONSTRUCTIONLEDGERDETAIL");
+                if (!DB01.ExecuteNonQuery(strRemove, false))
+                {
+                    DB00.rollback(); DB01.rollback(); DB02.rollback();
+                    return false;
+                }
+
+                strRemove = strRemove.Replace("CONSTRUCTIONLEDGERDETAIL", "CONSTRUCTIONLEDGEREXCUTE");
+                if (!DB02.ExecuteNonQuery(strRemove, false))
+                {
+                    DB00.rollback(); DB01.rollback(); DB02.rollback();
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                DB00.commit();
+                DB01.commit();
+                DB02.commit();
+                
+                DB00.close(); DB00 = null;
+                DB01.close(); DB01 = null;
+                DB02.close(); DB02 = null;
+            }
+        }
+        #endregion
+        // ---------- 終了時台帳データ削除↑↑
+
         // ---------- データコンバートロジック
         #region フラグコンバート
         /// <summary>
